#
#  vcf_cred.py
#
# Copyright 2020 VMware, Inc.  All rights reserved. -- VMware Confidential
# Description:  Provides class VcfCred
# Disabled: True
#
#

import logging

logger = logging.getLogger(__name__)


class VcfCred:
    """A standardized credential carrier, works for either old- or new-style
    (obtained via token-based) credentials.
    """

    def __init__(self, username, password, ipAddr, credType=None):
        self.username = username
        self.password = password
        self.ipAddr = ipAddr
        self.credType = credType

    def __str__(self):
        return (f"{self.credType}: {self.username}@{self.ipAddr}")
